Subject: Re: linux-next: build failure

From: Hollis Blanchard <[email-masked]>
Date: Fri, 07 Nov 2008 10:40:05 -0600

On Fri, 2008-11-07 at 20:25 +1100, Stephen Rothwell wrote:
> Hi Avi,
> 
> Today's linux-next build (powerpc ppc44x_config) failed like this:
> 
> arch/powerpc/kvm/built-in.o: In function `kvm_vcpu_ioctl':
> kvm_main.c:(.text+0x890): undefined reference to `kvm_arch_vcpu_ioctl_get_sregs'
[...]

> I have reverted the merge of the kvm tree for today.

Hi Stephen, it looks like Josh accidentally set the following options in
ppc44x_defconfig:
+CONFIG_VIRTUALIZATION=y
+CONFIG_KVM=y
+CONFIG_KVM_BOOKE_HOST=y

http://git.kernel.org/?p=linux/kernel/git/jwboyer/powerpc-4xx.git;a=commitdiff;h=8531b7a805833649591fa324cadbab7d6b667f4b

Since then, CONFIG_KVM_BOOKE_HOST was renamed to CONFIG_KVM_440.
Unfortunately I don't have the right Kconfig constraint in place to
catch that, leading to this problem. I will submit a patch for this
today.

-- 
Hollis Blanchard
IBM Linux Technology Center